View Issue Details

IDProjectCategoryView StatusLast Update
0000099Wiki[All Projects] Securitypublic2016-08-14 00:47
ReporterJon 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Projectionnone 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000099: Access Denied login does not allow ssl login
DescriptionWhen a user tries to access a restricted area of the wiki that they don't have access to, they are presented with the opportunity to login. If SSL login has been setup via .htaccess they are not redirected to access the login via SSL.
Additional InformationDokuwiki Version: Stable-2014-05-05a
TagsNo tags attached.
StageComplete

Activities

Jon

2014-07-17 19:00

developer   ~0000207

Issue resolved in commit: b0bdc18b61dc

Jon

2014-07-17 19:02

developer   ~0000208

See attached patch file '52-Commit-b0bdc18b61dc.patch' for the solution to this issue.

administrator

2014-07-17 19:42

administrator  

52-Commit-b0bdc18b61dc.patch (879 bytes)
# HG changeset patch
# User Jon Lockwood <noreply@nohost>
# Date 1405586958 -36000
#      Thu Jul 17 18:49:18 2014 +1000
# Branch Live-WebRoot
# Node ID b0bdc18b61dcbed34d89bd0eb13dbcad285032ee
# Parent  573613afce9e05e6723331cb4ec67652189a4ae4
Added so the user gets redirected to the SSL login page, if SSL logins have been configured within .htaccess

diff --git a/inc/actions.php b/inc/actions.php
--- a/inc/actions.php
+++ b/inc/actions.php
@@ -187,6 +187,7 @@
     // Make sure plugs can handle 'denied'
     if($conf['send404'] && $ACT == 'denied') {
         http_status(403);
+		header('location: http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] . '?do=login' ); /* Jon @ No Fuss Computing (nofusscomputing.com) : Added so the user gets redirected to the SSL login page, if SSL logins have been configured within .htaccess */
     }
     unset($evt);
 

Issue History

Date Modified Username Field Change
2014-07-17 18:46 Jon New Issue
2014-07-17 19:00 Jon Note Added: 0000207
2014-07-17 19:00 Jon Status new => assigned
2014-07-17 19:00 Jon File Added: 52-Commit-b0bdc18b61dc.patch
2014-07-17 19:02 Jon Note Added: 0000208
2014-07-17 19:02 Jon Status assigned => resolved
2014-07-17 19:02 Jon Resolution open => fixed
2014-07-17 19:42 administrator File Deleted: 52-Commit-b0bdc18b61dc.patch
2014-07-17 19:42 administrator File Added: 52-Commit-b0bdc18b61dc.patch
2016-08-14 00:12 administrator Stage => Unknown
2016-08-14 00:47 administrator Stage Unknown => Complete